<block className="TotalDamage">
		
		<bind name="collectionDH" value="CC.userPrefs; 'userPrefsCollection'"/>
        <bind name="entityDH" value="'userPrefsEntity'; userPrefsCollection[0].id"/>
		<bind name="watchDH" value="'userPrefs'; ['userPrefsEntity.userPrefs.evUserPrefsChanged']; userPrefsEntity.userPrefs.userPrefs"/>
		
		<bind name="draggable" value="'TDDragZone'; 'IMPosition'; 'TD'"/>
		<bind name="watch" value="'TDPositionX'; (userPrefs.IMPositionX.TD == null)  ? '150' : userPrefs.IMPositionX.TD"/>
        <bind name="watch" value="'TDPositionY'; (userPrefs.IMPositionY.TD == null)  ? '5' :  userPrefs.IMPositionY.TD"/>
        <bind name="left" value="TDPositionX"/>
        <bind name="top" value="TDPositionY"/>
		
		<block>
            <bind name="watch" value="'hitlogEnabled'; (userPrefs.elementsGroupExpand.hitlogEnabled == null) ? true : userPrefs.elementsGroupExpand.hitlogEnabled"/>
            <bind name="visible" value="hitlogEnabled"/>
            <bind name="appear" value="'addedToStage'; 0.6; 0; {alpha: 0}; {alpha: 1}"/>
			<bind name="controller" value="MLControllers.MLDamageController"/>
			
			<block className="contrast_panel" type="native">
				<styleClass value="$FullsizeAbsolute"/>
				<bind name="visible" value="true"/>
				<style>
					<marginTop value="-2px"/>
					<marginBottom value="-2px"/>
				</style>
				<bind name="style" value="'alpha'; 0.4"/>
			</block>
		
			<block>
					<block type="text">
						<styleClass value="$TextDefault"/>
						<bind name="text" value="'Y'"/>
						<style>
							<textAlign value="left"/>
							<marginLeft value="5px"/>
							<width value="30"/>
							<fontFamily value="ML_WOWSSymbol"/>
							<fontSize value="26"/>
						</style>
					</block>
					<block type="text">
						<bind name="text" value="totalDamage"/>
						<styleClass value="$TextDefaultBold"/>
						<style>
							<width value="120"/>
							<fontSize value="18"/>
							<textAlign value="center"/>
						</style>
					</block>
					<block type="text">
						<styleClass value="$TextDefault"/>
						<bind name="text" value="'Z'"/>
						<style>
							<textAlign value="right"/>
							<marginLeft value="5px"/>
							<width value="30"/>
							<fontFamily value="ML_WOWSSymbol"/>
							<fontSize value="26"/>
						</style>
					</block>
					<style>
					<flow value="horizontal"/>
				</style>
				<params>
					<param name="name" value="TDDragZone"/>
				</params>	
			</block>
											
			<style>
				<width value="200px"/>
				<height value="26px"/>
				<position value="absolute"/>
			</style>
			
		</block>
		
	</block>